import { ChainEntityBase, Change, Changed, Created, EntityFilter, Info, Organized } from '@yukawa/chain-base-angular-domain';
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Group <br/>
*/
export interface Group extends ChainEntityBase, Created, Organized {
    change?: Change;
    created?: Change;
    info?: Info;
    /**
    *	@example users
    */
    name?: string;
    /**
    *	@example YUK
    */
    orgId?: string;
    /**
    *	@example all
    */
    parentId?: string;
    roles?: string[];
    /**
    *	@example sys
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.GroupFilter <br/>
*/
export interface GroupFilter extends EntityFilter {
    /**
    *	@example ADMINS
    */
    groupName?: string;
    /**
    *	@example ADMINS, USERS
    */
    groupNames?: string[];
    orgId?: string;
    /**
    *	@example all
    */
    parentId?: string;
    showGlobals?: boolean;
    /**
    *	@example system
    */
    type?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Member <br/>
*/
export interface Member extends Changed, Organized {
    change?: Change;
    /**
    *	@example users
    */
    groupName?: string;
    /**
    *	@example users
    */
    orgId?: string;
    /**
    *	@example aaaa1111
    */
    userId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.MemberFilter <br/>
*/
export interface MemberFilter extends EntityFilter {
    /**
    *	@example users
    */
    groupName?: string;
    /**
    *	@example users
    */
    orgId?: string;
    /**
    *	@example admin
    */
    userId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.MemberPK <br/>
*/
export interface MemberPK {
    /**
    *	@example users
    */
    groupName?: string;
    /**
    *	@example users
    */
    orgId?: string;
    /**
    *	@example aaaa1111
    */
    userId?: string;
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.Membership <br/>
*/
export interface Membership extends Organized {
    /**
    *	@example users
    */
    groupName?: string;
    /**
    *	@example users
    */
    orgId?: string;
    userIds?: string[];
}
/**
*	@generator rest2ts
*	javaType: inc.yukawa.chain.modules.main.core.domain.group.UserGroups <br/>
*/
export interface UserGroups extends Organized {
    groupNames?: string[];
    /**
    *	@example yuk
    */
    orgId?: string;
    userId?: string;
}
