import { Group, GroupFilter } from "../gen/chain/main/group";
import { Observable } from "rxjs";
import { EditResult, Label, QueryResult, SearchResult } from "@yukawa/chain-base-angular-domain";
import { User, UserFilter } from "../gen/chain/main/user";
import { Setting, SettingFilter } from "../gen/chain/main/setting";
import { Org, OrgFilter } from "../gen/chain/main/org";
import { InjectionToken } from "@angular/core";
export declare const LABEL_ASPECT: InjectionToken<LabelAspect>;
export interface GroupAspect {
    queryGroups(filter: GroupFilter | any): Observable<QueryResult<Group>>;
    loadGroup(key: string | any): Observable<Group>;
    createGroup(value: Group | any): Observable<EditResult>;
    editGroup(value: Group | any): Observable<EditResult>;
    deleteGroup(key: string | any): Observable<EditResult>;
}
export interface UserAspect {
    /** @deprecated */
    searchUser(filter: UserFilter | any): Observable<SearchResult<User>>;
    queryUser(filter: UserFilter | any): Observable<QueryResult<User>>;
    loadUser(id: string, shortName: string): Observable<User>;
    saveUser(user: User, method: any): Observable<any>;
    deleteUser(id: any): Observable<EditResult>;
}
export interface LabelAspect {
    findLabels(filter: any): Observable<Label[]>;
    queryLabel(filter: any): Observable<QueryResult<Label>>;
    createLabel(label: Label): Observable<Label>;
    deleteLabel(id: string): Observable<any>;
}
export interface SettingAspect {
    querySettings(filter: SettingFilter | any): Observable<QueryResult<Setting>>;
    loadSetting(module: string, shortName: string): Observable<Setting>;
    editSetting(Setting: Setting | any): Observable<EditResult>;
    deleteSetting(module: string, shortName: string): Observable<EditResult>;
}
export interface OrgsAspect {
    createOrg(org: Org | any): Observable<EditResult>;
    updateOrg(org: Org | any): Observable<EditResult>;
    loadOrg(id: string): Observable<Org>;
    deleteOrg(id: string): Observable<EditResult>;
    queryOrgs(filter: OrgFilter | any): Observable<QueryResult<Org>>;
}
